package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@NoArgsConstructor
@AllArgsConstructor

public class QueryApiStorePriceResponse {
    private List<StorePriceInfo> storePriceInfos;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class StorePriceInfo {
        private String storeId;
        private Integer allowanceClientScheme;
        private List<ItemPriceInfo> itemInfoList;

    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class ItemPriceInfo {
        private String itemId;
        private String itemName;
        private Integer cityPrice;
        private Integer storePrice;
        private Integer vipPrice;
        private List<String> gunNos;
        private List<TagVO> tagList;

    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class TagVO {
        private Integer type;
        private Integer location;
        private Integer iconType;
        private String title;
        private String longTitle;


    }
}
